Bug 83386 - (SCSI AIC7XXX)Adaptec driver fails to load the scsi interface
(SCSI AIC7XXX)Adaptec driver fails to load the scsi interface
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-03 14:10 EST by danmcnaul
Modified: 2007-04-18 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
`cat /proc/interrupts` for the working kayak with bios v 12.05us (446 bytes, text/plain)
2003-02-06 14:15 EST, danmcnaul
no flags Details
`cat /proc/interrupts` for the non-working kayak with bios v 12.06us (376 bytes, text/plain)
2003-02-06 14:16 EST, danmcnaul
no flags Details

  None (edit)
Description danmcnaul 2003-02-03 14:10:32 EST
Description of problem:

I have 2 HP Kayaks model number D4701N (for description purposes I will call 
them pc-A and pc-B.  They are almost identical except for the following 
differences.

pc-B has a colorado tape drive, while pc-A does not.
pc-B has a single 300mhz cpu, while pc-A has a single 350mhz.
pc-B has a single ethernet card, while pc-A has 2 cards.
pc-B has BIOS flash version HB 12.06US, while pc-A has HB 12.05US

Other than that they are identical.  They have the same amount of memory 
(512mb), same scsi cards and drives, monitor, keyboard, mouse, cdrom drive, 
etc. etc. etc.

RH8.0 was installed (no dual boot after a low level format) on pc-A without 
trouble and it is acting as my Linux gateway for my internal network to my 
cable modem.

RH8.0 was installed (no dual boot after a low level format) on pc-B without 
trouble.  However........

When the pc-B performs a post-install boot ("normal" boot), when it gets to the 
place where it needs to bring the SCSI controller and all the devices hooked to 
it into service, the AHC driver kicks out the following error in a rapid, 
furious, and non-stopping loop.  I have to hit the reset button to stop it.  
The readable error says.

ahc_pci:0:8:0: ahc_intr - referenced scb not valid during SELTO scb(255,255)

There is another error being printed in between these "SELTO" errors, but it is 
moving too fast for me to read.

I read the driver code and it looks like I'm getting a null pointer returned 
when trying to select a device at a particular index.  The index value is 255 
according to the printf() statement. [ie (255,255)]

I can "rescue" boot pc-B and I can chroot and use the machine.  Everything 
looks good to me and I can't see a reason for the trouble.

I guess the question is, what is the difference in a normal boot and a "rescue" 
boot?  What is the normal boot driver probing for that the "rescue" boot driver 
isn't?

Dan McNaul


Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1. Get my Kayak (pc-B)
2. Install RH 8.0
3. Boot the machine
    
Actual results:

Continuous loop of ahc_intr error stated above

Expected results:

Adaptec driver should load scsi controller card and all the drives.
Additional info:
Comment 1 Arjan van de Ven 2003-02-03 14:14:07 EST
the difference is that the BOOT kernel doesn't use a certain bios table the
normal kernel does use. it looks like the bios version difference is the key
factor here.....
Comment 2 danmcnaul 2003-02-04 16:50:49 EST
Thank-you arjan,

I'm working with HP to see if there is a way to flash the bios back to 
HB.12.05US.  HP no longer has that version, but we may be able to backup the 
bios on the working machine (pc-A) and restore it on the non-working machine 
(pc-B) making it a HB.12.05US.  HP thinks this should work, but says they won't 
guarantee that my machine won't be rendered useless.

Give me some time to try and work through getting the old bios restored on the 
non-working machine.  I need to fully understand the risks before proceeding.

In the meantime, is there a newer AHC version I can try?

Thanks again.
Comment 3 Arjan van de Ven 2003-02-04 16:52:48 EST
if the driver doesn't get interrupts... that's not going to help you...
btw if you can get the machine to boot (say in rescue mode of the cd) you can
see if it gets interrupts by looking at the /proc/interrupts file
checking that is certainly worth it before doing the flash dance
Comment 4 Arjan van de Ven 2003-02-04 16:53:15 EST
in addition it might be wort it to try the SMP kernel if this is a UP machine...
Comment 5 danmcnaul 2003-02-06 14:15:25 EST
Created attachment 89905 [details]
`cat /proc/interrupts` for the working kayak with bios v 12.05us

These are the interrupts for the fully functioning RH 8.0 on the working Kayak.
Comment 6 danmcnaul 2003-02-06 14:16:40 EST
Created attachment 89906 [details]
`cat /proc/interrupts` for the non-working kayak with bios v 12.06us

These are the interrupts for the non-working kayak.  This kayak was "Rescue"
booted from the cd-rom and the interrupts were recorded.
Comment 7 danmcnaul 2003-06-08 19:46:43 EDT
I have loaded HP bios v12.05us on the non-working Kayak (pc-B).  I have also 
disconnected the colorado tape unit.  Now, the only difference between the two 
Kayaks is the cpu speed and the number of ethernet cards.  I have gone through 
the bios screens on the working pc (pc-A) and made sure the same parameters are 
set on pc-B.  I did the same for the SCSI card bios settings.

I get the same result.  Redhat v8.0 installs fine, tests the X screen 
perfectly, and reboots to the exact repeating "SELTO" SCSI error.

I will try Redhat v9.0 soon, but I have to re-download Disc-1 of the 
distribution.  I got a "Media Check" error on Disc-1.

Dan McNaul
Comment 8 Bugzilla owner 2004-09-30 11:40:29 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.